
Figure - Bug #118498
【IOVDEV-32219】【内部】【VC1】【0072】【台架】【EE环境】【副屏】微件添加到桌面图标及字体尺寸
大小不统一
2023-06-03 18:03 - CDTS_Test 吴诗雨

Status: CLOSED Start date: 2023-06-03

Priority: Normal Due date:

Assignee: CDTS_Test 吴诗雨 % Done: 0%

Category: CD-APP Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 副屏：01.00.0100.C103

Resolution: -- Degrated: --

Severity: Normal Verified Version:

Reproducibility: Every time Fixed Version:

Test Type: ST Root cause:

Description

【环境信息】EE环境

【问题出现时间】：2023-06-01 16:40

【开机次数】：第232次

【前提条件】：

1.副屏上电

2.安装抖音与芒果TV

3.处于HOME页

【问题操作步骤】：

1.长按进入桌面编辑态

2.点击添加微件按钮

3.长按抖音图标拖拽到桌面

【实际结果】：对比正常的图标尺寸与字体大小都不统一

【期望结果】：与正常的图标尺寸字体大小统一

【备注】：添加到桌面的图标有大有小，字体还有省略号十分不美观，影响用户体验。目前芒果TV的微件图标尺寸与大小也是同样情

况

台架实时Log地址：https://ofs.human-horizons.com/#/download/index/YgNyyx1fJGU%3D

台架历史Log地址：https://ofs.human-horizons.com/#/download/index/0NmnYgMHSkk%3D

台架视频地址：https://ofs.human-horizons.com/#/download/index/M8vtohujHN4%3D

【影响版本】：副屏：01.00.0100.C103

【VIN】：HRYTTESTVINMGM400

【硬件版本号】：/

【是否能恢复】：

History

#1 - 2023-06-03 18:05 - CDTS_Test 吴诗雨

ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/Bug_118498

#2 - 2023-06-05 09:40 - CD APP-王营

- Status changed from New to ASSIGNED
https://ofs.human-horizons.com/#/download/index/YgNyyx1fJGU%3D
https://ofs.human-horizons.com/#/download/index/0NmnYgMHSkk%3D
ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/Bug_118498


- Assignee changed from CD APP-王营 to CD APP-王宏

#3 - 2023-06-05 10:21 - CD APP-王宏

- File screenshot-20230605-101453.png added

- File screenshot-20230605-101912.png added

■ Current conclusion

分析完毕

■ My analysis

外边框是我们提供容器的大小，

内边框是抖音自定义View的大小，

可以观察到第二个是正常显示的，说明我们是给了内部View居中的属性，

第一个展示不正常，那是抖音未将自己的控件居中，与我们无关。

https://share.thundersoft.com/redmine/attachments/download/76916/screenshot-20230605-101453.png

至于文字展示也是抖音自定义的，我们无法修改。下图是国内某厂商的参考，也是存在同样的问题

https://share.thundersoft.com/redmine/attachments/download/76917/screenshot-20230605-101912.png

解决方案是给对应APP提报bug，比如 抖音，芒果TV 等

■ Next action

正常情况，烦请关闭。

#4 - 2023-06-05 10:30 - CD APP-王宏

- Status changed from ASSIGNED to NEED_INFO

- Assignee changed from CD APP-王宏 to CDTS_Test 吴诗雨

#5 - 2023-06-05 10:40 - CDTS_Test 吴诗雨

已同步，关闭该bug

#6 - 2023-06-05 10:42 - CDTS_Test 吴诗雨

- Status changed from NEED_INFO to RESOLVED

#7 - 2023-06-05 10:43 - CDTS_Test 吴诗雨

- Status changed from RESOLVED to VERIFIED

#8 - 2023-06-12 17:03 - CDTS_Test 吴诗雨

- Status changed from VERIFIED to CLOSED

Files

601-16：40抖音图标及字体尺寸大小不符合.mp4 8.73 MB 2023-06-03 CDTS_Test 吴诗雨

screenshot-20230605-101453.png 490 KB 2023-06-05 CD APP-王宏

screenshot-20230605-101912.png 231 KB 2023-06-05 CD APP-王宏
